//
//  XTHtmlTagTable.m
//  TadsTerp
//
//  Created by Rune Berg on 24/07/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagTable.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagTable

+ (NSString *)name
{
	return @"table";
}

+ (NSArray *)allowedAttributes
{
	return @[];
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagTable:self];
}

@end
